//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
#property indicator_separate_window
#property indicator_buffers 1

extern int HHLLPeriod = 20;
double LL_MA_num[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexStyle(0,DRAW_LINE,EMPTY,1,Yellow);
   SetIndexBuffer(0,LL_MA_num);
   SetIndexLabel(0,"# bars since new lower low");
   
   IndicatorDigits(0);
   
   return;
   }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
   {
   return;
   }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {
   double LL_MA,LL_MA_prev;
   
   for(int i = (Bars-1) - (IndicatorCounted()-1); i >= 0; i--)
      {
      
      LL_MA = iCustom(NULL,0,"HH_LL",HHLLPeriod,2,i);
      
      LL_MA_prev = iCustom(NULL,0,"HH_LL",HHLLPeriod,2,i+1);
            
      if (LL_MA != EMPTY_VALUE)
         {
         if (LL_MA < LL_MA_prev || LL_MA_prev == EMPTY_VALUE)
            LL_MA_num[i] = 1;
         else
            LL_MA_num[i]=LL_MA_num[i+1]+1;
         }
      }
      
   return;
   }
//+------------------------------------------------------------------+